> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Redirect to MCP install deeplink

> Issues a 302 redirect to the client-specific deeplink URL for installing the HERO MCP server (e.g. `cursor`, `vscode`).

No authentication required.

Returns 404 for unknown `client` identifiers.



## OpenAPI

````yaml get /mcp/install/{client}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /mcp/install/{client}:
    get:
      tags:
        - MCP
      summary: Redirect to MCP install deeplink
      description: >-
        Issues a 302 redirect to the client-specific deeplink URL for installing
        the HERO MCP server (e.g. `cursor`, `vscode`).


        No authentication required.


        Returns 404 for unknown `client` identifiers.
      operationId: mcpInstallClient
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: client
          in: path
      responses:
        '302':
          description: Redirect to the client-specific deeplink URL.
          headers:
            Location:
              schema:
                type: string
              description: The custom-scheme deeplink the MCP host handles.
              required: true
        '404':
          description: Unknown client identifier.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security: []

````